Package org.zkoss.web.portlet

## Class PortletServletContext

- java.lang.Object
- - org.zkoss.web.portlet.PortletServletContext

- All Implemented Interfaces:
    `javax.servlet.ServletContext`

      public class PortletServletContext
      extends java.lang.Object
      implements javax.servlet.ServletContext

  A facade servlet context based on a given portlet context.
  Author:
    tomyeh

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.ServletContext

      `ORDERED_LIBS, TEMPDIR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.servlet.FilterRegistration.Dynamic` | `addFilter​(java.lang.String s, java.lang.Class<? extends javax.servlet.Filter> aClass)` |
    `javax.servlet.FilterRegistration.Dynamic` | `addFilter​(java.lang.String s, java.lang.String s1)` |
    `javax.servlet.FilterRegistration.Dynamic` | `addFilter​(java.lang.String s, javax.servlet.Filter filter)` |
    `void` | `addListener​(java.lang.Class<? extends java.util.EventListener> aClass)` |
    `void` | `addListener​(java.lang.String s)` |
    `<T extends java.util.EventListener> void` | `addListener​(T t)` |
    `javax.servlet.ServletRegistration.Dynamic` | `addServlet​(java.lang.String s, java.lang.Class<? extends javax.servlet.Servlet> aClass)` |
    `javax.servlet.ServletRegistration.Dynamic` | `addServlet​(java.lang.String s, java.lang.String s1)` |
    `javax.servlet.ServletRegistration.Dynamic` | `addServlet​(java.lang.String s, javax.servlet.Servlet servlet)` |
    `<T extends javax.servlet.Filter> T` | `createFilter​(java.lang.Class<T> aClass)` |
    `<T extends java.util.EventListener> T` | `createListener​(java.lang.Class<T> aClass)` |
    `<T extends javax.servlet.Servlet> T` | `createServlet​(java.lang.Class<T> aClass)` |
    `void` | `declareRoles​(java.lang.String... strings)` |
    `java.lang.Object` | `getAttribute​(java.lang.String name)` |
    `java.util.Enumeration` | `getAttributeNames()` |
    `java.lang.ClassLoader` | `getClassLoader()` |
    `javax.servlet.ServletContext` | `getContext​(java.lang.String path)` |
    `java.lang.String` | `getContextPath()` |
    `java.util.Set<javax.servlet.SessionTrackingMode>` | `getDefaultSessionTrackingModes()` |
    `int` | `getEffectiveMajorVersion()` |
    `int` | `getEffectiveMinorVersion()` |
    `java.util.Set<javax.servlet.SessionTrackingMode>` | `getEffectiveSessionTrackingModes()` |
    `javax.servlet.FilterRegistration` | `getFilterRegistration​(java.lang.String s)` |
    `java.util.Map<java.lang.String,​? extends javax.servlet.FilterRegistration>` | `getFilterRegistrations()` |
    `java.lang.String` | `getInitParameter​(java.lang.String name)` |
    `java.util.Enumeration` | `getInitParameterNames()` |
    `static javax.servlet.ServletContext` | `getInstance​(javax.portlet.PortletContext ctx)` | Returns an instance of ServletContext that representing the specified portlet context.
    `javax.servlet.descriptor.JspConfigDescriptor` | `getJspConfigDescriptor()` |
    `int` | `getMajorVersion()` |
    `java.lang.String` | `getMimeType​(java.lang.String file)` |
    `int` | `getMinorVersion()` |
    `javax.servlet.RequestDispatcher` | `getNamedDispatcher​(java.lang.String name)` |
    `java.lang.String` | `getRealPath​(java.lang.String path)` |
    `javax.servlet.RequestDispatcher` | `getRequestDispatcher​(java.lang.String path)` |
    `java.net.URL` | `getResource​(java.lang.String path)` |
    `java.io.InputStream` | `getResourceAsStream​(java.lang.String path)` |
    `java.util.Set` | `getResourcePaths​(java.lang.String path)` |
    `java.lang.String` | `getServerInfo()` |
    `javax.servlet.Servlet` | `getServlet​(java.lang.String name)` | Deprecated.
    `java.lang.String` | `getServletContextName()` |
    `java.util.Enumeration` | `getServletNames()` | Deprecated.
    `javax.servlet.ServletRegistration` | `getServletRegistration​(java.lang.String s)` |
    `java.util.Map<java.lang.String,​? extends javax.servlet.ServletRegistration>` | `getServletRegistrations()` |
    `java.util.Enumeration` | `getServlets()` | Deprecated.
    `javax.servlet.SessionCookieConfig` | `getSessionCookieConfig()` |
    `java.lang.String` | `getVirtualServerName()` |
    `void` | `log​(java.lang.Exception exception, java.lang.String msg)` | Deprecated.
    `void` | `log​(java.lang.String msg)` |
    `void` | `log​(java.lang.String message, java.lang.Throwable throwable)` |
    `void` | `removeAttribute​(java.lang.String name)` |
    `void` | `setAttribute​(java.lang.String name, java.lang.Object object)` |
    `boolean` | `setInitParameter​(java.lang.String s, java.lang.String s1)` |
    `void` | `setSessionTrackingModes​(java.util.Set<javax.servlet.SessionTrackingMode> set)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static javax.servlet.ServletContext getInstance​(javax.portlet.PortletContext ctx)

      Returns an instance of ServletContext that representing the specified portlet context.

      Use this method instead of the constructor.

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.ServletContext`

    - #### getAttributeNames

          public java.util.Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletContext`

    - #### getContext

          public javax.servlet.ServletContext getContext​(java.lang.String path)

      Specified by:
        `getContext` in interface `javax.servlet.ServletContext`

    - #### getInitParameter

          public java.lang.String getInitParameter​(java.lang.String name)

      Specified by:
        `getInitParameter` in interface `javax.servlet.ServletContext`

    - #### getInitParameterNames

          public java.util.Enumeration getInitParameterNames()

      Specified by:
        `getInitParameterNames` in interface `javax.servlet.ServletContext`

    - #### getMajorVersion

          public int getMajorVersion()

      Specified by:
        `getMajorVersion` in interface `javax.servlet.ServletContext`

    - #### getMimeType

          public java.lang.String getMimeType​(java.lang.String file)

      Specified by:
        `getMimeType` in interface `javax.servlet.ServletContext`

    - #### getMinorVersion

          public int getMinorVersion()

      Specified by:
        `getMinorVersion` in interface `javax.servlet.ServletContext`

    - #### getNamedDispatcher

          public javax.servlet.RequestDispatcher getNamedDispatcher​(java.lang.String name)

      Specified by:
        `getNamedDispatcher` in interface `javax.servlet.ServletContext`

    - #### getRealPath

          public java.lang.String getRealPath​(java.lang.String path)

      Specified by:
        `getRealPath` in interface `javax.servlet.ServletContext`

    - #### getRequestDispatcher

          public javax.servlet.RequestDispatcher getRequestDispatcher​(java.lang.String path)

      Specified by:
        `getRequestDispatcher` in interface `javax.servlet.ServletContext`

    - #### getResource

          public java.net.URL getResource​(java.lang.String path)
                                   throws java.net.MalformedURLException

      Specified by:
        `getResource` in interface `javax.servlet.ServletContext`
      Throws:
        `java.net.MalformedURLException`

    - #### getResourceAsStream

          public java.io.InputStream getResourceAsStream​(java.lang.String path)

      Specified by:
        `getResourceAsStream` in interface `javax.servlet.ServletContext`

    - #### getResourcePaths

          public java.util.Set getResourcePaths​(java.lang.String path)

      Specified by:
        `getResourcePaths` in interface `javax.servlet.ServletContext`

    - #### getServerInfo

          public java.lang.String getServerInfo()

      Specified by:
        `getServerInfo` in interface `javax.servlet.ServletContext`

    - #### getServlet

          public javax.servlet.Servlet getServlet​(java.lang.String name)

      Deprecated.
      Specified by:
        `getServlet` in interface `javax.servlet.ServletContext`

    - #### getServletNames

          public java.util.Enumeration getServletNames()

      Deprecated.
      Specified by:
        `getServletNames` in interface `javax.servlet.ServletContext`

    - #### getServlets

          public java.util.Enumeration getServlets()

      Deprecated.
      Specified by:
        `getServlets` in interface `javax.servlet.ServletContext`

    - #### getServletContextName

          public java.lang.String getServletContextName()

      Specified by:
        `getServletContextName` in interface `javax.servlet.ServletContext`

    - #### log

          public void log​(java.lang.Exception exception,
                          java.lang.String msg)

      Deprecated.
      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### log

          public void log​(java.lang.String msg)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### log

          public void log​(java.lang.String message,
                          java.lang.Throwable throwable)

      Specified by:
        `log` in interface `javax.servlet.ServletContext`

    - #### removeAttribute

          public void removeAttribute​(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletContext`

    - #### setAttribute

          public void setAttribute​(java.lang.String name,
                                   java.lang.Object object)

      Specified by:
        `setAttribute` in interface `javax.servlet.ServletContext`

    - #### getContextPath

          public java.lang.String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.ServletContext`

    - #### getEffectiveMajorVersion

          public int getEffectiveMajorVersion()

      Specified by:
        `getEffectiveMajorVersion` in interface `javax.servlet.ServletContext`

    - #### getEffectiveMinorVersion

          public int getEffectiveMinorVersion()

      Specified by:
        `getEffectiveMinorVersion` in interface `javax.servlet.ServletContext`

    - #### setInitParameter

          public boolean setInitParameter​(java.lang.String s,
                                          java.lang.String s1)

      Specified by:
        `setInitParameter` in interface `javax.servlet.ServletContext`

    - #### addServlet

          public javax.servlet.ServletRegistration.Dynamic addServlet​(java.lang.String s,
                                                                      java.lang.String s1)

      Specified by:
        `addServlet` in interface `javax.servlet.ServletContext`

    - #### addServlet

          public javax.servlet.ServletRegistration.Dynamic addServlet​(java.lang.String s,
                                                                      javax.servlet.Servlet servlet)

      Specified by:
        `addServlet` in interface `javax.servlet.ServletContext`

    - #### addServlet

          public javax.servlet.ServletRegistration.Dynamic addServlet​(java.lang.String s,
                                                                      java.lang.Class<? extends javax.servlet.Servlet> aClass)

      Specified by:
        `addServlet` in interface `javax.servlet.ServletContext`

    - #### createServlet

          public <T extends javax.servlet.Servlet> T createServlet​(java.lang.Class<T> aClass)
                                                            throws javax.servlet.ServletException

      Specified by:
        `createServlet` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getServletRegistration

          public javax.servlet.ServletRegistration getServletRegistration​(java.lang.String s)

      Specified by:
        `getServletRegistration` in interface `javax.servlet.ServletContext`

    - #### getServletRegistrations

          public java.util.Map<java.lang.String,​? extends javax.servlet.ServletRegistration> getServletRegistrations()

      Specified by:
        `getServletRegistrations` in interface `javax.servlet.ServletContext`

    - #### addFilter

          public javax.servlet.FilterRegistration.Dynamic addFilter​(java.lang.String s,
                                                                    java.lang.String s1)

      Specified by:
        `addFilter` in interface `javax.servlet.ServletContext`

    - #### addFilter

          public javax.servlet.FilterRegistration.Dynamic addFilter​(java.lang.String s,
                                                                    javax.servlet.Filter filter)

      Specified by:
        `addFilter` in interface `javax.servlet.ServletContext`

    - #### addFilter

          public javax.servlet.FilterRegistration.Dynamic addFilter​(java.lang.String s,
                                                                    java.lang.Class<? extends javax.servlet.Filter> aClass)

      Specified by:
        `addFilter` in interface `javax.servlet.ServletContext`

    - #### createFilter

          public <T extends javax.servlet.Filter> T createFilter​(java.lang.Class<T> aClass)
                                                          throws javax.servlet.ServletException

      Specified by:
        `createFilter` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getFilterRegistration

          public javax.servlet.FilterRegistration getFilterRegistration​(java.lang.String s)

      Specified by:
        `getFilterRegistration` in interface `javax.servlet.ServletContext`

    - #### getFilterRegistrations

          public java.util.Map<java.lang.String,​? extends javax.servlet.FilterRegistration> getFilterRegistrations()

      Specified by:
        `getFilterRegistrations` in interface `javax.servlet.ServletContext`

    - #### getSessionCookieConfig

          public javax.servlet.SessionCookieConfig getSessionCookieConfig()

      Specified by:
        `getSessionCookieConfig` in interface `javax.servlet.ServletContext`

    - #### setSessionTrackingModes

          public void setSessionTrackingModes​(java.util.Set<javax.servlet.SessionTrackingMode> set)

      Specified by:
        `setSessionTrackingModes` in interface `javax.servlet.ServletContext`

    - #### getDefaultSessionTrackingModes

          public java.util.Set<javax.servlet.SessionTrackingMode> getDefaultSessionTrackingModes()

      Specified by:
        `getDefaultSessionTrackingModes` in interface `javax.servlet.ServletContext`

    - #### getEffectiveSessionTrackingModes

          public java.util.Set<javax.servlet.SessionTrackingMode> getEffectiveSessionTrackingModes()

      Specified by:
        `getEffectiveSessionTrackingModes` in interface `javax.servlet.ServletContext`

    - #### addListener

          public void addListener​(java.lang.String s)

      Specified by:
        `addListener` in interface `javax.servlet.ServletContext`

    - #### addListener

          public <T extends java.util.EventListener> void addListener​(T t)

      Specified by:
        `addListener` in interface `javax.servlet.ServletContext`

    - #### addListener

          public void addListener​(java.lang.Class<? extends java.util.EventListener> aClass)

      Specified by:
        `addListener` in interface `javax.servlet.ServletContext`

    - #### createListener

          public <T extends java.util.EventListener> T createListener​(java.lang.Class<T> aClass)
                                                               throws javax.servlet.ServletException

      Specified by:
        `createListener` in interface `javax.servlet.ServletContext`
      Throws:
        `javax.servlet.ServletException`

    - #### getJspConfigDescriptor

          public javax.servlet.descriptor.JspConfigDescriptor getJspConfigDescriptor()

      Specified by:
        `getJspConfigDescriptor` in interface `javax.servlet.ServletContext`

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

      Specified by:
        `getClassLoader` in interface `javax.servlet.ServletContext`

    - #### declareRoles

          public void declareRoles​(java.lang.String... strings)

      Specified by:
        `declareRoles` in interface `javax.servlet.ServletContext`

    - #### getVirtualServerName

          public java.lang.String getVirtualServerName()

      Specified by:
        `getVirtualServerName` in interface `javax.servlet.ServletContext`